.pe-cp-buttons {
    text-align: center;
    width: 100%;
    white-space: nowrap;
}
  
.pe-cp-button {
    font-size: 15px;
    position: relative;
    z-index: 1;
    margin: 0 calc(15px * .25);
    background: transparent;
    display: inline-block;
    border-radius: 20px;
    border: none;
    color: inherit;
    border: 1px solid #2a2d32;
    padding: calc(15px * .8) calc(15px * 1.6);
    cursor: pointer;
    appearance: none;
    transition: all .2s ease-out;
}
.pe-cp-button:before {
    content: '';
    position: absolute;
    height: 100%;
    left: calc(15px * .7);
    top: 0;
    width: 1px;
    background: #6a6d72;
    transform: scaleY(0);
    transition: transform .2s ease-in-out;
}
    
.pe-cp-button:hover {
    border: 1px solid #3a3d42;
}
    
.pe-cp-button.active {
    background: #3a3d42;
    border: 1px solid #6a6d72;
}      
.pe-cp-button + .button.active {
    border-radius: 0 20px 20px 0;
    margin-left: calc(15px * -2);
    padding-left: 1.6em;
        border-left: none;
}        
.pe-cp-button:before {
    transform: scaleY(1);
}